Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235830 - bug came up during "add/remove software" process
Summary: bug came up during "add/remove software" process
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-10 12:46 UTC by Ralph
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-29 18:15:49 UTC


Attachments (Terms of Use)
copy of error (deleted)
2007-04-10 12:46 UTC, Ralph
no flags Details

Description Ralph 2007-04-10 12:46:42 UTC
Summary: TB6d0a67a4 __init__.py:171:simpleDBInstalled:TypeError: rpmdb open failed

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/pirut/GroupSelector.py", line 351, in
_groupSelected
    self.__setGroupDescription(grp)
  File "/usr/lib/python2.4/site-packages/pirut/GroupSelector.py", line 368, in
__setGroupDescription
    if self.ayum.isPackageInstalled(p):
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 185, in
isPackageInstalled
    installed = self.simpleDBInstalled(name)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 171, in
simpleDBInstalled
    mi = self.ts.ts.dbMatch('name', name)
TypeError: rpmdb open failed

Local variables in innermost frame:
self: <__main__.PackageManager object at 0xa227bac>
name: tomboy

Comment 1 Ralph 2007-04-10 12:46:42 UTC
Created attachment 152129 [details]
copy of error

Comment 2 Matthew Miller 2007-04-10 16:29:09 UTC
Fedora 7 test bugs should be filed against "devel", not against test1/2/3. This
isn't obvious, I know. Moving this report so it isn't lost.

This is a bulk message -- I apologize if this was actually meant to be targeted
against a different release. If so, please fix or let me know. Thanks.

Comment 3 Phil Knirsch 2007-05-24 15:20:56 UTC
Thats a bug in pirut though, reassigning.

Read ya, Phil

Comment 4 Jeremy Katz 2007-05-29 18:15:49 UTC
This is fixed with later FC6 kernel updates


Note You need to log in before you can comment on or make changes to this bug.